logging.level.root=ERROR
logging.level.com.blueland=DEBUG
spring.main.banner-mode = console
mybatis-plus.global-config.banner=false

server.servlet.encoding.charset=UTF-8
server.servlet.encoding.force=true
server.servlet.encoding.enabled=true

spring.datasource.driver-class-name=com.mysql.jdbc.Driver
spring.datasource.url=jdbc:mysql://192.168.1.168:3307/tool_tech_bpmc?useUnicode=true&characterEncoding=UTF-8
spring.datasource.username=tool_tech
spring.datasource.password=Tooltech@123
spring.datasource.connectionTimeout=60000
spring.datasource.idleTimeout=600000
spring.datasource.validationTimeout=3000
spring.datasource.maxLifetime=700000
spring.datasource.maximumPoolSize=10
spring.datasource.validationQuery=select 1 from dual

server.port=8081
server.servlet.context-path=/ebpm-process-rest
spring.aop.auto=true
server.compression.enabled=true
server.compression.min-response-size=1
server.tomcat.connection-timeout=5000
server.tomcat.uri-encoding=UTF-8
server.tomcat.max-http-form-post-size=5MB
server.tomcat.max-swallow-size=5MB

spring.servlet.multipart.max-file-size=100MB
spring.servlet.multipart.max-request-size=100MB
server.servlet.session.timeout=PT4H

# mybatis-plus
mybatis-plus.type-aliases-package=com.**.dao,com.**.**.dao
mybatis-plus.base-package=com.**.dao,com.**.**.dao
#mybatis-plus.mapper-locations=classpath*:mapping/**/*Mapper.xml
mybatis-plus.mapper-locations=classpath*:/com/**/model/**/*Mapper.xml

spring.redis.host=192.168.1.168
spring.redis.port=6379
spring.redis.username=
spring.redis.password=
# use dbIndex 
spring.redis.database=7
spring.redis.maxIdle=300
spring.redis.maxWait=3000
spring.redis.testOnBorrow=true

bizworks-api-gateway.host=c7d7025679174c678eda9e13643c0e8b.apigateway.res.zgs.yun
bizworks-api-gateway.appKey=1642130464513397
bizworks-api-gateway.appSecret=bedce56cca554aedaf65e64aac6199fa

rzdata.userCenterBizCode=
rzdata.userDomain=http://bizworks-user-center.ubcp-dev.szzt.api.zgs.yun